function [Grootloc,freq] = addr(num,den,Grootloc,freq)

% function [Grootloc,freq] = addr(num,den,Grootloc,freq)
% adds the point at w = inf to Grootloc

% Normally , the transfer function will have the order
% of the denominator greater than that of the numerator
% and the last root will be zero; in the case where the
% denominator and numerator have the same order, the last
% root will be the ratio of the highest order coefficients.
% e.g   3s + 2        3(s + 1/2 + 1/6)          3        1
%       ------- =   ----------------------   = --- + --------
%       4s + 2           4(s + 1/2)             4    4(2s + 1)

% 96 June 7 Aug 18, 97 Jan 27
% 97 May 6,10,21,22,23
% 2004 June 18

if nargin == 0
    display('USAGE: [Grootloc,freq]=addr(num,den,Grootloc,freq)')
    return
elseif nargin < 4
    error('addr: wrong number of input arguments')
end
if length(num) < length(den) 
   Grootloc(length(Grootloc)+1,:) = 0;
else
   Grootloc(length(Grootloc)+1,:) = num(1,1)/den(1,1);
end
% add corresponding frequency of Grootloc at infinity
freq(length(freq)+1,1) = inf;
