function [num,den] = s2jw(num,den)

% function [num,den] = s2jw(num,den) express the real and imag part of num, den
% num(start point : interval : endpoint)
% num(2:2:Nnum) means that choosing the odd value of numerator 
% s , s^3 , s^5 .... and change it to (jw) and its odd multiplies
% but first we have to flip the numerator to change 
% e.g.(s^3 + s^2 +  s + 1) to (1 + s +  s^2 + s^3) 
% An if statment is added at the denominator to deal with one or two inputs.

% 96   Sept 24
% 2004 June 06 ,July 09

if nargin == 0
    disp('USAGE:  [num,den] = s2jw(num,den)')
    return
end
Nnum = length(num);
num = fliplr(num); % flip from left to right

% multiply each numerator term with its j's   
num(2:2:Nnum) = num(2:2:Nnum)*j;  
num([3:4:Nnum,4:4:Nnum]) = -num([3:4:Nnum,4:4:Nnum]); % for even coefficients s^2 = -w^2
num = fliplr(num);

% multiply each denominator term with its j's
Nden = length(den);
den = fliplr(den);
den(2:2:Nden) = den(2:2:Nden)*j;
den([3:4:Nden,4:4:Nden]) = -den([3:4:Nden,4:4:Nden]);
den = fliplr(den);

