function [x,y, gx,gy]=plotln(num,den,REnum,REden,IMnumPop,re,slope)

% FUNCTION plotln(num,den,REnum,REden,IMnumPop,re,slope) plots Popov 
% straight line and Popov plot

% 97 Feb22,23,24 July4 Aug1 98Jan21
% 2004 August 30

if nargin == 0
    disp('USAGE : [x,y, gx,gy]=plotln(num,den,REnum,REden,IMnumPop,re,slope)')
    return
elseif nargin < 7
    error('we have to set 7 input arguments!')
end
[Re,Im,w]=nyq4p2(num,den);
gx=freqresp(REnum,REden,w);
gx=real(gx);
gy=freqresp(IMnumPop,REden,w);
gy=real(gy);
% plot Popov plot
dy=(max(gy)-min(gy))/50;
dx=(max(gx)-min(gx))/50;
plot(gx,gy);
axis([min(gx)-dx, max(gx)+dx, min(gy)-dy, max(gy)+dy]);
% plot the Popov line
y1=min(gy) - dy;
y2=max(gy) + dy;
x1=y1/slope + re;
x2=y2/slope + re;
nx=abs(x2-x1)/50;
x=x1:sign(x2-x1)*nx:x2;
y=slope*(x-re);
hold on;
plot(x,y);
plot([min(gx)-dx, max(gx)+dx],[0 0],'m:');
plot([0 0],[min(gy)-dy, max(gy)+dy],'m:');
hold off;



