% script to generate the plots shown in the "Examples"
% section of the Tutorial Guide
% REGRETTABLY, recent changes to MATLAB subplot syntax
% makes it impossible to exactly duplicate them!!
% JH Taylor - 24 April 1997

clear; close all; clc

disp(' ')
disp('Demonstration of UNB enhanced Nyquist and new Circle Criterion')
disp('tools to determine stability ranges for linear and nonlinear')
disp('time-varying systems.')
disp(' ')
disp('The following studies generate the plots shown in the "Examples"')
disp('section of the Tutorial Guide, and more.  JH Taylor - 2 November 2004')

num = [ 1 1 ];
den = [ 1 2 25 3 1 ];
newnyq(num,den);
text(0.01,0.013,'num = [ 1 1 ]');
text(0.01,0.007,'den = [ 1 2 25 3 1 ]');
text(0.01,-.007,'stable k range:')
text(0.01,-.013,'-1  <  k  <  43.17')
subplot(211);title('Nyquist Study of a Stable Plant (NewNyq)')
disp('Nyquist Study of a Stable Plant -- hit any key to continue')
pause
figure;
circle(num,den,2.5)
title('Circle Criterion Study of a Stable Plant')
text(0.07,0.15,'num = [ 1 1 ]');
text(0.07,0.12,'den = [ 1 2 25 3 1 ]');
text(0.07,0.09,'F_{min} = 2.5')
text(0.07,0.06,'->  F_{max} = 11.59')
disp('Circle Criterion Study of a Stable Plant -- hit any key to continue')
pause
figure;
circle(num,den,-0.5)
title('Second CC Study of a Stable Plant - Negative F_{min}')
text(-0.1,1.10,'num = [ 1 1 ]');
text(-0.3,0.70,'den = [ 1 2 25 3 1 ]');
text(-0.1,-0.6,'F_{min} = -0.5')
text(-0.3,-1.0,'->  F_{max} = 11.59')
disp('Second CC Study of a Stable Plant - Negative F_{min} -- hit any key to continue')
pause
num = [ 1 2 ];
den = [ 1 -4 -5 ];
newnyq(num,den,1);  % 's' -> hatching on Nyq plot
title('Nyquist Study of an Unstable Plant')
text(-0.15,0.06,'num = [ 1 2 ]');
text(-0.15,0.04,'den = [ 1 -4 -5 ]');
text(-0.15,-0.04,'stable k range:')
text(-0.15,-0.06,'4  <  k  <  Inf')
disp('Nyquist Study of an Unstable Plant -- note the hatching for')
disp('the Right-half Plane Mapping -- hit any key to continue')
pause
figure;
circle(num,den,5)
title('Circle Criterion Study of an Unstable Plant')
text(0.03,0.08,'num = [ 1 2 ]');
text(0.03,0.06,'den = [ 1 -4 -5 ]');
text(0.03,0.04,'F_{min} = 5.0')
text(0.03,0.02,'->  F_{max} = 27.83')
disp('Circle Criterion Study of an Unstable Plant -- hit any key to continue')
pause
figure;
circle(num,den,NaN,100)
title('Second CC Study of an Unstable Plant - F_{min} Sought')
text(0.03,0.08,'num = [ 1 2 ]');
text(0.03,0.06,'den = [ 1 -4 -5 ]');
text(0.03,0.04,'F_{max} = 100.0')
text(0.03,0.02,'->  F_{min} = 5.392')
disp('Circle Criterion with Fmax provided -> Fmin -- hit any key to continue')
pause
num = poly( [ -10+2*j -10-2*j ] );
den = poly( [ -1+.1*j -1-.1*j -.2 -100 ] );
newnyq(num,den);
text(-2e-3,4.5e-4,'num = poly( [ -10+2*j -10-2*j ] )');
text(-2e-3,-4.5e-4,'den = poly( [ -1+.1*j -1-.1*j -.2 -100 ] )');
disp('Nyquist Study with Two Stability Ranges -- hit any key to continue')
pause
num = 1000*poly( [ -10+2*j -10-2*j ] );
den = poly( [ -1+.1*j -1-.1*j -.2 -100 -200 ] );
newnyq(num,den);
text(-1.5e-4, 5e-5,'num = 1000 \times poly( [ -10+2*j -10-2*j ] )');
text(-1.5e-4,-5e-5,'den = poly( [ -1+.1*j -1-.1*j -.2 -100 -200 ] )');
disp('Nyquist Study with Three Zooms -- end of demonstration!')
